package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 海康事件类型
*
* @author zxfei
*/
public enum HikAbilityEnum {
    人脸识别事件("event_face_recognition", "人脸识别事件"),
    人脸比对事件("event_face_match", "人脸比对事件");
    private String value;
    private String desc;

    HikAbilityEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static HikAbilityEnum getByValue(String value) {
        for (HikAbilityEnum recognitionPlanTypeEnum : HikAbilityEnum.values()) {
            if (recognitionPlanTypeEnum.getValue() == value) {
                return recognitionPlanTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (HikAbilityEnum item : HikAbilityEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}